summaryrefslogtreecommitdiffstats
path: root/taskcluster/docker/periodic-updates/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'taskcluster/docker/periodic-updates/setup.sh')
-rwxr-xr-xtaskcluster/docker/periodic-updates/setup.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/taskcluster/docker/periodic-updates/setup.sh b/taskcluster/docker/periodic-updates/setup.sh
new file mode 100755
index 0000000000..334720b188
--- /dev/null
+++ b/taskcluster/docker/periodic-updates/setup.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+set -ve
+
+tooltool_fetch() {
+ cat >manifest.tt
+ python2.7 /setup/tooltool.py fetch
+ rm manifest.tt
+}
+
+useradd -d /home/worker -s /bin/bash -m worker
+
+apt-get update -q
+apt-get install -y --no-install-recommends \
+ arcanist \
+ bzip2 \
+ ca-certificates \
+ curl \
+ jq \
+ libdbus-glib-1-2 \
+ libgtk-3-0 \
+ libx11-xcb1 \
+ libxml2-utils \
+ libxt6 \
+ python \
+ python3 \
+ shellcheck \
+ unzip \
+ wget \
+
+apt-get clean
+
+. install-mercurial.sh
+
+rm -rf /setup